SELECT Код_типа_перекрытия INTO #TmpTable FROM Справочник_типов_перекрытий
SET IDENTITY_INSERT Справочник_типов_перекрытий ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_перекрытия = 1) INSERT INTO Справочник_типов_перекрытий (Код_типа_перекрытия,Описание) VALUES (1,'железобетонные плиты')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_перекрытия = 2) INSERT INTO Справочник_типов_перекрытий (Код_типа_перекрытия,Описание) VALUES (2,'металлическое')

SET IDENTITY_INSERT Справочник_типов_перекрытий OFF
DROP TABLE #TmpTable
